import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

public class Card extends JPanel {
    JPanel cards;
    final static String BUTTONPANEL = "Panel mit Buttons";
    final static String TEXTPANEL = "Panel mit TextField";

    public Card() {
			setLayout(new BorderLayout());
			setFont(new Font("Helvetica", Font.PLAIN, 14));
			
			//Put the Choice in a Panel to get a nicer look.
			JPanel cp = new JPanel();
			JComboBox cmb = new JComboBox();
			cmb.addItem(BUTTONPANEL);
			cmb.addItem(TEXTPANEL);
			cmb.addActionListener(new MyActionListener());
			cp.add(cmb);
			add("North", cp);
			
			cards = new JPanel();
			cards.setLayout(new CardLayout());
			
			JPanel p1 = new JPanel();
			p1.add(new JButton("I    "));
			p1.add(new JButton("like "));
			p1.add(new JButton("Swing"));
			
			JPanel p2 = new JPanel();
			p2.add(new JTextField("Swing text field", 20));
			
			cards.add(BUTTONPANEL, p1);
			cards.add(TEXTPANEL, p2);
			add("Center", cards);
    }

	class MyActionListener implements ActionListener {
	
		public void actionPerformed(ActionEvent e) {
			JComboBox cb = (JComboBox)e.getSource();
			String newSelection = (String)cb.getSelectedItem();
	  	((CardLayout)cards.getLayout()).show(cards,(String)newSelection);
		}
	} // end inner class
}