import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;

public class Scroll extends JPanel {

    private JLabel columnView;
    private JLabel rowView;

    private JScrollPane scrollPane;

    public Scroll() {
			// laden der Bilder
    	
			ImageIcon lara 				= new ImageIcon("lara.jpg");
    	ImageIcon column 			= new ImageIcon("column.gif");
			ImageIcon row 					= new ImageIcon("row.gif");
			ImageIcon cornerImage 	= new ImageIcon("corner.gif");

    	
    	JLabel picture = new JLabel(lara);
			
			scrollPane = new JScrollPane(picture,
				ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS,
				ScrollPaneConstants.HORIZONTAL_SCROLLBAR_ALWAYS
			);
			scrollPane.setPreferredSize(new Dimension(300, 250));
			scrollPane.setViewportBorder(

			BorderFactory.createLineBorder(Color.black));

			
    	columnView = new JLabel(column);
			rowView = new JLabel(row);
    	
    	scrollPane.setColumnHeaderView(columnView);
			scrollPane.setRowHeaderView(rowView);
			
			JLabel cornerUL = new JLabel(cornerImage);
			JLabel cornerUR = new JLabel(cornerImage);
			JLabel cornerLL = new JLabel(cornerImage);

    	scrollPane.setCorner(JScrollPane.UPPER_LEFT_CORNER, cornerUL);
			scrollPane.setCorner(JScrollPane.LOWER_LEFT_CORNER, cornerUR);
			scrollPane.setCorner(JScrollPane.UPPER_RIGHT_CORNER, cornerLL);
			
			setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
			add(scrollPane);
			setBorder(BorderFactory.createEmptyBorder(10,10,10,10));
		}
}
